Skip to main content
POST
/
v0
/
wallet
/
buy-traffic-requests
/
{tracking_id}
/
status
/v0/wallet/buy-traffic-requests/{tracking_id}/status
curl --request POST \
  --url https://example.com/api/validator/v0/wallet/buy-traffic-requests/{tracking_id}/status \
  --header 'Authorization: Bearer <token>'
{
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token as described in spliceAppBearerAuth [blocked]. The subject of the token must be ledger API user of the user whose wallet the endpoint affects.

Path Parameters

tracking_id
string
required

Response

A request to buy traffic with this tracking id has been submitted before, check the response for details.

status
string
required

The status of the traffic request created: The request to buy traffic has been created and is waiting for the wallet automation to pick it up. completed: The traffic has been purchased. transaction_id points to the transaction that purchased traffic. failed: The request to buy traffic has failed permanently and no CC has been transferred. Refer to failure_reason for details. Use a new tracking_id if you want to retry buying traffic.